SystemOrganization addCategory: #SeasideInstaller!

Object subclass: #WAInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideInstaller'!

!WAInstaller class methodsFor: 'class initialization' stamp: 'lr 8/7/2006 23:55'!
initialize
	self new install! !

!WAInstaller methodsFor: 'installing' stamp: 'lr 8/7/2006 23:56'!
install
	self loadFromSqueakMap: 'Monticello'.
	self loadFromSqueakMap: 'DynamicBindings'.
	self loadFromSqueakMap: 'KomServices'.
	self loadFromSqueakMap: 'KomHttpServer'.
	self 
		loadFromMonticello: 'Seaside2.6b1-rjl.69.mcz'
		repository: 'http://www.squeaksource.com/Seaside'.
	self
		loadFromMonticello: 'Scriptaculous-lr.127.mcz'
		repository: 'http://www.squeaksource.com/Seaside'.! !

!WAInstaller methodsFor: 'private' stamp: 'lr 8/8/2006 00:00'!
loadFromMonticello: aString repository: aUrl
	| repository version |
	repository := MCHttpRepository location: aUrl user: '' password: ''.
	MCRepositoryGroup default addRepository: repository.
	version := repository loadVersionFromFileNamed: aString.
	version load.
	version workingCopy repositoryGroup addRepository: repository.
	version workingCopy modified: false! !

!WAInstaller methodsFor: 'private' stamp: 'lr 8/7/2006 23:45'!
loadFromSqueakMap: aString
	(SMSqueakMap default packageWithName: aString)
		releases last install	! !
WAInstaller initialize!
